<?php

// If this file is called directly, abort.
if (!defined('WPINC')) {
    die;
}

if (!class_exists('APNAAdmin')) {
    class APNAAdmin
    {

        public $settings;


        public function __construct()
        {
            $this->settings = new APNASettings($this);
            new ApnaAdminAjax($this);

            add_action("admin_menu", array($this, 'apna_admin_menu'));
            add_action('admin_enqueue_scripts', array($this, 'apna_admin_enqueue'));
            add_action( 'plugin_action_links_' . APNA_BASE_PATH, array( $this, 'apna_action_links') );


            add_action( 'transition_post_status', array($this->settings, 'detectPostPublished'), 10, 3);
            add_action('transition_post_status_scheduled_event', array($this->settings, 'detectPostPublishedScheduled'));
            add_action( 'woocommerce_order_status_changed', array($this->settings, 'detectWooOrderStatusChanged'), 10, 3);


            $apna_settings = $this->settings->listAllSettings();
            $apna_settings = json_decode($apna_settings, true);
            if(isset($apna_settings["record_user_identity"])){
                if($apna_settings["record_user_identity"] === "1"){
                    add_action('wp_head', array( $this, 'apna_user_identity_script'));
                }
            }

        }


        function apna_user_identity_script() {
            if (is_user_logged_in()) {
                $current_user = wp_get_current_user();
                $user_email = $current_user->user_email;
                echo '<script>';
                echo 'var appilix_push_notification_user_identity = "' . esc_js($user_email) . '";';
                echo '</script>';
            }
        }

        function apna_action_links($links) {
            $settings_url = add_query_arg( 'page', 'apna-dashboard', get_admin_url() . 'options-general.php' );
            $setting_arr = array('<a href="' . esc_url( $settings_url ) . '">Dashboard</a>');
            $links = array_merge($setting_arr, $links);
            return $links;
        }

        
        function apna_admin_menu()
        {
            add_options_page('Appilix - Push Notification Automation', 'Appilix Notification Automation', 'manage_options', 'apna-dashboard', array($this, 'apna_admin_dashboard'));
        }



        function apna_admin_enqueue( $page )
        {
            if($page == "settings_page_apna-dashboard"){
                wp_enqueue_style('apna-admin-main', APNA_CSS_DIR.'admin_main.css', array(), APNA_VERSION);
                wp_enqueue_style('apna-admin-select2', APNA_CSS_DIR.'select2.min.css', array(), APNA_VERSION);

                wp_enqueue_script( 'apna-admin-main', APNA_JS_DIR.'admin_main.js', array('jquery'), APNA_VERSION );
                wp_enqueue_script( 'apna-admin-select2', APNA_JS_DIR.'select2.min.js', array('jquery'), APNA_VERSION );
            }
        }

        function apna_admin_dashboard()
        {
            include_once APNA_PATH . "backend/templates/dashboard.php";
        }

    }
}




new APNAAdmin();