<div class="apna_main">


    <div class="apna_page_settings" style="display: none;">
        <div class="apna_header">
            <div class="apna_header_part_left">
                <p>Appilix - Push Notification Automation<span><?php echo esc_attr(APNA_VERSION); ?></span></p>
            </div>
            <div class="apna_header_part_right">
                <a class="apna_header_btn_doc" href="#" onclick="apna_show_documentation()">Documentation</a>
                <a class="apna_header_btn" href="#" onclick="apna_show_automations()">Automations</a>
                <a class="apna_header_btn active" href="#" onclick="apna_show_settings()">Settings</a>
            </div>
        </div>

        <div class="apna_page_title">
            <div class="page_title_part_left">
                <h2>Settings</h2>
            </div>
            <div class="page_title_part_right">
                <button class="apna_save_btn" onclick="apna_save_settings(this)">Save Changes</button>
            </div>
        </div>

        <?php
        $apna_settings = $this->settings->listAllSettings();
        $apna_settings = json_decode($apna_settings, true);
        ?>

        <div class="apna_settings_form_container">
            <div class="apna_settings_form">
                <div class="apna_form_group">
                    <label>App Key</label>
                    <input name="app_key" type="text" value="<?php echo $apna_settings["app_key"] ?? ""; ?>">
                </div>
                <div class="apna_form_group">
                    <label>API Key</label>
                    <input name="api_key" type="text" value="<?php echo $apna_settings["api_key"] ?? ""; ?>">
                </div>
                <div class="apna_form_group">
                    <label>Secondary App Key (Optional)</label>
                    <input name="secondary_app_key" type="text" value="<?php echo $apna_settings["secondary_app_key"] ?? ""; ?>">
                </div>
                <div class="apna_form_group">
                    <label>Secondary API Key (Optional)</label>
                    <input name="secondary_api_key" type="text" value="<?php echo $apna_settings["secondary_api_key"] ?? ""; ?>">
                </div>
                <div class="apna_form_group">
                    <label>Record Logged-in User Identity</label>
                    <select name="record_user_identity">
                        <option <?php echo isset($apna_settings["record_user_identity"]) ? ($apna_settings["record_user_identity"] === "1" ? "selected" : "") : ""; ?> value="1">Yes</option>
                        <option <?php echo isset($apna_settings["record_user_identity"]) ? ($apna_settings["record_user_identity"] === "0" ? "selected" : "") : ""; ?> value="0">No</option>
                    </select>
                </div>
            </div>

        </div>
    </div>
    <div class="apna_page_documentation" style="display: none;">
        <div class="apna_header">
            <div class="apna_header_part_left">
                <p>Appilix - Push Notification Automation<span><?php echo esc_attr(APNA_VERSION); ?></span></p>
            </div>
            <div class="apna_header_part_right">
                <a class="apna_header_btn_doc" href="#" onclick="apna_show_documentation()">Documentation</a>
                <a class="apna_header_btn" href="#" onclick="apna_show_automations()">Automations</a>
                <a class="apna_header_btn" href="#" onclick="apna_show_settings()">Settings</a>
            </div>
        </div>

        <div class="apna_page_title">
            <div class="page_title_part_left">
                <h2>Documentation</h2>
            </div>
        </div>

        <div class="apna_settings_form_container">
            <p>You can use the below shortcode to dynamically insert information inside your Notification Title, Description, User Identity, Webpage URL and Image URL.</p>
            <p><b>%POST_TITLE%</b> - Title of the Published Post or Product (On Post Publish)</p>
            <p><b>%POST_ID%</b> - ID of the Published Post or Product (On Post Publish)</p>
            <p><b>%POST_URL%</b> - Display URL of the Published Post or Product (On Post Publish)</p>
            <p><b>%THUMBNAIL_URL%</b> - Featured Image URL of the Published Post or Product (On Post Publish)</p>
            <p><b>%AUTHOR_NAME%</b> - Author Name of the Published Post (On Post Publish)</p>
            <br>
            <p><b>%ORDER_STATUS%</b> - Latest Order Status (On WooCommerce Order Status Changed)</p>
            <p><b>%CUSTOMER_NAME%</b> - Name of the Customer (On WooCommerce Order Status Changed)</p>
            <p><b>%CUSTOMER_EMAIL%</b> - Email Address of the Customer (On WooCommerce Order Status Changed)</p>
            <p><b>%ORDER_NUMBER%</b> - Order Number of the Order (On WooCommerce Order Status Changed)</p>
            <p><b>%ORDER_TOTAL%</b> - Total Amount of the Order (On WooCommerce Order Status Changed)</p>
            <p><b>%BILLING_ADDRESS%</b> - Billing Address of the Customer of the Order (On WooCommerce Order Status Changed)</p>

        </div>
    </div>

    <div class="apna_page_automations">
        <div class="apna_header">
            <div class="apna_header_part_left">
                <p>Appilix - Push Notification Automation<span><?php echo esc_attr(APNA_VERSION); ?></span></p>
            </div>
            <div class="apna_header_part_right">
                <a class="apna_header_btn_doc" href="#" onclick="apna_show_documentation()">Documentation</a>
                <a class="apna_header_btn active" href="#" onclick="apna_show_automations()">Automations</a>
                <a class="apna_header_btn" href="#" onclick="apna_show_settings()">Settings</a>
            </div>
        </div>

        <div class="apna_page_title">
            <div class="page_title_part_left">
                <h2>List of Automations</h2>
            </div>
            <div class="page_title_part_right">
                <button class="apna_add_btn" onclick="apna_automation_adder()">Add New Automation</button>
                <button class="apna_save_btn" onclick="apna_save_automations(this)">Save Changes</button>
            </div>
        </div>


        <div class="apna_container">

            <div class="apna_no_automation_created" style="display: none;">
                <h3>No notification automation has been created yet.</h3>
                <button onclick="apna_automation_adder()">Create First Automation</button>
            </div>

            <div class="apna_loading">
                <div class="apna_loader"></div>
            </div>

            <div class="apna_automations"></div>

        </div>
    </div>



</div>




<!-- Copyable Blocks -->

<div id="apna_block_single_automation" style="display: none;">
    <div class="apna_single_automation">
        <div class="apna_automation_intro">
            <h2 contenteditable="true">Untitled Automation</h2>
            <div class="apna_automation_actions">
                <div class="apna_automation_action_minimize" onclick="apna_automation_minimize(this)">
                    <img src="<?php echo APNA_IMG_DIR . "/minimize.svg"  ?>">
                </div>
                <div class="apna_automation_action_maximize" onclick="apna_automation_maximize(this)">
                    <img src="<?php echo APNA_IMG_DIR . "/maximize.svg"  ?>">
                </div>
                <div class="apna_automation_action_del" onclick="apna_automation_remove(this)">
                    <img src="<?php echo APNA_IMG_DIR . "/del.svg"  ?>">
                    Delete
                </div>
            </div>
        </div>
        <div class="apna_automation_type_form">
            <div class="apna_form_group automation_type_select">
                <label>Automation Type</label>
                <select class="" onchange="apna_automation_type_changed()">
                    <option value="post_publish">On Post Publish</option>
                    <?php if ( class_exists( 'WooCommerce' ) ) { ?>
                    <option value="order_status_changed">On WooCommerce Order Status Changed</option>
                    <?php } ?>
                </select>
            </div>
            <div class="apna_form_group post_type_select"  style="display: none;">
                <label>Post Type</label>
                <select>
                    <?php
                    $args = array();
                    $post_types = get_post_types($args, 'objects');
                    foreach ($post_types as $post_type) {
                        $label = !empty($post_type->labels->singular_name) ? $post_type->labels->singular_name : $post_type->name;
                        ?>
                        <option value="<?php echo esc_attr($post_type->name); ?>"><?php echo esc_html($label); ?></option>
                    <?php } ?>
                </select>
            </div>


            <div class="apna_form_group order_status_select" style="display: none;">
                <label>Status Changed To</label>
                <select>
                    <option value="">Any Status</option>
                    <?php
                    if ( class_exists( 'WooCommerce' ) ) {
                        $order_statuses = wc_get_order_statuses();
                        foreach ($order_statuses as $status_slug => $status_name) { ?>
                            <option value="<?php echo esc_attr($status_slug); ?>"><?php echo esc_html($status_name); ?></option>
                        <?php } ?>
                    <?php } ?>
                </select>
            </div>
        </div>
        <div class="apna_automation_notification_form">
            <div class="apna_form_group">
                <label>Notification Title</label>
                <input name="notification_title" type="text" value="">
            </div>
            <div class="apna_form_group">
                <label>Notification Description</label>
                <textarea name="notification_body" rows="4"></textarea>
            </div>
            <div class="apna_form_group">
                <label>User Identity (Optional)</label>
                <input name="user_identity" type="text" value="">
            </div>
            <div class="apna_form_group">
                <label>Click to Open Webpage URL (Optional)</label>
                <input name="open_link_url" type="text" value="">
            </div>
            <div class="apna_form_group">
                <label>Notification Image URL (Optional)</label>
                <input name="notification_image" type="text" value="">
            </div>
        </div>
    </div>
</div>







<script type="text/javascript">
    jQuery(document).ready(function($) {
        'use strict';
        var host = "<?php echo esc_url(APNA_URL); ?>";
        apna_fetch_automations();
    });
</script>